### Function

# GLib format_size_full

since: 2.30

#### Declaration [src]

    gchar*
    g_format_size_full (
      guint64 size,
      GFormatSizeFlags flags
    )

#### Description [src]

Formats a size.

This function is similar to `g_format_size()` but allows for flags that modify the output. See `GFormatSizeFlags`.

Available since: 2.30

#### Parameters

`size`

  Type: `guint64`

  A size in bytes.

`flags`

  Type: `GFormatSizeFlags`

  `GFormatSizeFlags` to modify the output.

#### Return value

Type: `gchar*`

A newly-allocated formatted string containing a human readable file size.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.